.hero-banner .slideshow__text .hero-content-text {
  position: relative;
  padding: 2rem 2rem 4rem;
  margin: 0;
}

.hero-banner .slideshow__text.banner__box {
  display: flex;
  flex-direction: row;
  justify-content: center;
  max-width: 60rem;
  border: 1px solid var(--buttons-primary-background);
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  padding: 0;
  align-items: center;
}

.hero-banner .banner__buttons {
  margin: 0px auto;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  flex-wrap: nowrap;
}

.hero-banner a.button {
  white-space: nowrap;
}

.hero-content-logo {
  height: 100%;
  padding: 2rem 1.4rem;
  width: 100%;
}

.hero-content-logo img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.hero-banner .banner__box:has(.hero-content-logo) .hero-content-text {
  border-left: 2px solid var(--buttons-primary-background);
}

.hero-banner .banner__heading {
  margin: 0;
}

.hero-banner .slideshow__controls.slider-buttons {
  position: absolute;
  bottom: 2rem;
  padding-left: 50px;
  border: 0;
  gap: 1.6rem;
}

@media screen and (max-width: 749px) {
  .hero-content-logo {
    display: none;
  }

  .hero-banner .banner__box:has(.hero-content-logo) .hero-content-text {
    border-left: 0;
  }

  .hero-banner .slideshow__text.banner__box {
    max-width: unset;
  }

  .hero-banner .slideshow__text-wrapper {
    padding: 2.5rem 1.5rem;
    margin-bottom: 50px;
  }

  .hero-banner .banner__buttons {
    bottom: -50px;
    justify-content: space-between;
    width: 100%;
  }

  .hero-banner .slideshow__controls.slider-buttons {
    padding-left: 1.5rem;
  }

  .hero-banner .slideshow__text .hero-content-text {
    position: unset;
    padding: 2rem;
    margin: 0;
  }
}
